Subject: Neovim build missing luajit support

From: "bdju" <[email-masked]>
Date: Sun, 31 Oct 2021 23:35:09 -0500

https://github.com/norcalli/nvim-colorizer.lua/issues/40
I'm hitting this issue in Neovim after installing nvim-colorizer.
Supposedly the ffi.lua file it says is missing should be built-in. Some
people had issues on a couple distros that seems to build Neovim without
luajit, and then fixed it by building it differently. Could we enable
luajit in the guix recipe so it's built with it? It sounds like most
distros probably enable it, and that the Neovim devs intend it to be
enabled.

Sidenote: the current recipe has a typo, "refirence", should be
"reference". It's in one of the comments.